Internal-Operations

# Class: WideImage_Operation_AutoCrop

Source Location: /Operation/AutoCrop.php

### Class Overview

AutoCrop operation

### Methods

- execute

### Class Details

[line 30]
AutoCrop operation
[ Top ]

### Class Methods

### method execute [line 41]

`WideImage_Image execute( WideImage_Image $img, $margin, int $rgb_threshold, int $pixel_cutoff, int $base_color)`

Executes the auto-crop operation on the $img

#### Tags:

return: | resulting auto-cropped image

#### Parameters:

WideImage_Image | $img |
int | $rgb_threshold | The difference in RGB from $base_color
int | $pixel_cutoff | The number of pixels on each border that must be over $rgb_threshold
int | $base_color | The color that will get cropped
| $margin |

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:41 +0100 by phpDocumentor 1.4.3